> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection Product Clicks



## OpenAPI

````yaml /api-reference/openapi/lite.json get /collections/{collection_id}/product-clicks
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /collections/{collection_id}/product-clicks:
    get:
      summary: Get Collection Product Clicks
      operationId: >-
        get_collection_product_clicks_collections__collection_id__product_clicks_get
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            title: Collection Id
        - name: from_date
          in: query
          required: true
          schema:
            type: string
            format: date
            title: From Date
        - name: to_date
          in: query
          required: true
          schema:
            type: string
            format: date
            title: To Date
        - name: merchant_id
          in: query
          required: true
          schema:
            type: string
            title: Merchant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCollectionProductClicksResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    GetCollectionProductClicksResponse:
      properties:
        products:
          items:
            $ref: '#/components/schemas/GetCollectionProductClicksRow'
          type: array
          title: Products
      type: object
      required:
        - products
      title: GetCollectionProductClicksResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GetCollectionProductClicksRow:
      properties:
        main_product_id:
          type: string
          title: Main Product Id
        clicks:
          type: integer
          title: Clicks
        percent_of_max_clicks:
          anyOf:
            - type: number
            - type: 'null'
          title: Percent Of Max Clicks
        average_position:
          anyOf:
            - type: number
            - type: 'null'
          title: Average Position
      type: object
      required:
        - main_product_id
        - clicks
        - percent_of_max_clicks
        - average_position
      title: GetCollectionProductClicksRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````